

This driver is trying an order-9 allocation and if that fails, order 8, etc. 
Crufty, but we do expect failures, so suppress the warnings.



---

 drivers/scsi/osst.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/scsi/osst.c~osst-warning-fix drivers/scsi/osst.c
--- 25/drivers/scsi/osst.c~osst-warning-fix	2004-01-22 01:57:35.000000000 -0800
+++ 25-akpm/drivers/scsi/osst.c	2004-01-22 01:57:59.000000000 -0800
@@ -5106,6 +5106,8 @@ static int enlarge_buffer(OSST_buffer *S
 	if (need_dma)
 		priority |= GFP_DMA;
 
+	priority |= __GFP_NOWARN;
+
 	/* Try to allocate the first segment up to OS_DATA_SIZE and the others
 	   big enough to reach the goal (code assumes no segments in place) */
 	for (b_size = OS_DATA_SIZE, order = OSST_FIRST_ORDER; b_size >= PAGE_SIZE; order--, b_size /= 2) {

_
